#!/usr/bin/perl
# @file journal.pl
# @author nas
# @date 31/01/2022
# @brief Remote call to the API in order to test

use Config::Std;
use LWP::UserAgent ();

read_config 'test.cfg' => my %config; 
print "Username : $config{Authentification}{Username}\n";
print "Host : $config{Authentification}{Host}\n";
print "Host : $config{Authentification}{Path}\n";
print "Protocol : $config{Authentification}{Username}\n";

local $url = "$config{Authentification}{Host}$config{Authentification}{Path}";
 
my $ua = LWP::UserAgent->new(timeout => 10);
$ua->env_proxy;
 
my $response = $ua->get( $url );
 
if ($response->is_success) {
    print $response->decoded_content;
}
else {
    die $response->status_line;
}
